# ACOS function

The ACOS function returns the arc cosine of a specified number.

The specified number is the cosine, in radians, of the angle that you want. The specified number must be a DOUBLE PRECISION number.

- If the specified number is NULL, the result of this function is NULL.
- If the absolute value of the specified number is greater than 1, an exception is returned that indicates that the value is out of range (SQL state 22003).

The returned value, in radians, is in the range of zero (0) to pi. The data type of the returned value is a DOUBLE PRECISION number.

#### Syntax

    ACOS ( number )

Parent topic: Built-in functions